<template>
  <basic-container>
    <div class="container">
      <el-form ref="form" :model="form" label-width="150px">
        <el-form-item label="当前在线用户人数">
          <div style="display: flex;">
            <el-input v-model="form.currentOnlineUser" :readOnly="true"></el-input>
            <el-button plain type="primary" style="margin-left: 10px" @click="getOnlineUsersNum"> 刷新</el-button>
          </div>
        </el-form-item>
      </el-form>
    </div>
  </basic-container>
</template>

<script>
import {
  getOnlineUsersNum
} from "@/api/systemModel/systemConfig/api"
export default {
  name: "index",
  data() {
    return {
      form: {
        currentOnlineUser: '0'
      }
    }
  },
  created() {
    this.getOnlineUsersNum();
  },
  methods: {
    // 左侧树查询
    getOnlineUsersNum() {
      getOnlineUsersNum().then(res => {
        if (res.data.code === 200) {
          const data = res.data.obj;
          this.form.currentOnlineUser = data;
        }
      })
    }
  }
}
</script>

<style scoped>
.container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 500px;
  height: 500px;
  margin: auto;
}
</style>
